AZALIA(4) | Device Drivers Manual | AZALIA(4)

# NAME

`azalia` —
Generic High Definition Audio device driver

# SYNOPSIS

`azalia* at pci? dev ? function ?`
`audio* at audiobus?`

`options AZALIA_DEBUG`

# DESCRIPTION

The `azalia` device driver is expected to support any PCI device which is compliant to the High Definition Audio Specification 1.0. Known supported controllers are Intel 82801F (ICH6) and Intel 82801G (ICH7). Known supported codecs are Realtek ALC260, ALC880, ALC882, Analog Devices AD1981HD, CMedia CMI9880, Sigmatel STAC9221, and STAC9221D.

# SEE ALSO

audio(4), pci(4)

Intel High Definition Audio

# HISTORY

The `azalia` device driver appeared in NetBSD 3.0.

# BUGS

Non-PCM encodings such as Float32 and AC-3 are not supported.

There is no way to use 20bit or 24bit precision because of a limitation of the MI audio framework.

March 15, 2007 | NetBSD 9.4